<?php
	/*
	 *	Copyright 2007 John Oren
	 *	
	 *	Licensed under the Apache License, Version 2.0 (the "License");
	 *	you may not use this file except in compliance with the License.
	 *	You may obtain a copy of the License at
	 *		http://www.apache.org/licenses/LICENSE-2.0
	 *	Unless required by applicable law or agreed to in writing, software
	 *	distributed under the License is distributed on an "AS IS" BASIS,
	 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 *	See the License for the specific language governing permissions and
	 *	limitations under the License.
	 */
	
	
	//DEFINE VARIABLES
	$path = "../";
	$page = "index";
	
	//INCLUDE REQUIRED FILES AND DECLARE GENERAL OBJECTS
	require_once($path."OpenSiteAdmin/scripts/classes/DatabaseManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/SecurityManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/Form.php");
	
	$SQL = new DatabaseManager();
	$securityManager = new SecurityManager($SQL, $page);
	
	//SECURITY CHECKING \ REDIRECT CHECKS
	
	//FUNCTION DEFINITIONS
	
	//INCLUDE HEADER FILE
	require_once($path."header.php");

	//BEGIN CUSTOM CODE
	if(isset($_GET["text"])) {
		print "<br>";
		print "<font color='red'>";
		print $_GET["text"];
		print "</font>";
		print "<br>";
	}
?>
<br>
<table border="1" frame="void" rules="rows" cellpadding="4">
	<?php if($securityManager->isRowVisible("Access")) { ?>
		<tr>
			<td>
				<?php if($securityManager->isPageVisible("addAccess")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageAccess.php?mode=<?php print Form::ADD; ?>" style="text-decoration:none;">
						Add Page Permissions
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td>
				<?php if($securityManager->isPageVisible("editAccess")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageAccess.php?mode=<?php print Form::EDIT; ?>" style="text-decoration:none;">
						Edit Page Permissions
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td>
				<?php if($securityManager->isPageVisible("deleteAccess")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageAccess.php?mode=<?php print Form::DELETE; ?>" style="text-decoration:none;">
						Delete Page Permissions
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
		</tr>
	<?php } ?>
	<?php if($securityManager->isRowVisible("User")) { ?>
		<tr>
			<td>
				<?php if($securityManager->isPageVisible("addUser")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageUsers.php?mode=<?php print Form::ADD; ?>" style="text-decoration:none;">
						Add User
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td>
				<?php if($securityManager->isPageVisible("editUser")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageUsers.php?mode=<?php print Form::EDIT; ?>" style="text-decoration:none;">
						Edit User
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td>
				<?php if($securityManager->isPageVisible("deleteUser")) { ?>
					<a href="<?php print $path; ?>OpenSiteAdmin/pages/manageUsers.php?mode=<?php print Form::DELETE; ?>" style="text-decoration:none;">
						Delete User
					</a>
				<?php } ?>
				&nbsp;&nbsp;&nbsp;
			</td>
		</tr>
	<?php } ?>