<?php
	/*
	 *	Copyright 2007 John Oren
	 *	
	 *	Licensed under the Apache License, Version 2.0 (the "License");
	 *	you may not use this file except in compliance with the License.
	 *	You may obtain a copy of the License at
	 *		http://www.apache.org/licenses/LICENSE-2.0
	 *	Unless required by applicable law or agreed to in writing, software
	 *	distributed under the License is distributed on an "AS IS" BASIS,
	 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 *	See the License for the specific language governing permissions and
	 *	limitations under the License.
	 */
	
	
	//DEFINE VARIABLES
	$path = "../../";
	$page = "Access";
	$QS = $_SERVER["QUERY_STRING"];
	$mode = $_GET["mode"];
	
	//INCLUDE REQUIRED FILES AND DECLARE GENERAL OBJECTS
	require_once($path."OpenSiteAdmin/scripts/classes/SecurityManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/DatabaseManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/ListManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/FormManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/RowManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/FieldManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/Filter.php");
	
	$SQL = new DatabaseManager();
	$formManager = new FormManager($SQL, $mode);
	$list = new ListManager($SQL);
	$modeStr= Form::getModeText($mode);
	$securityManager = new SecurityManager($SQL, $page, $modeStr);
	
	//SECURITY CHECKING \ REDIRECT CHECKS
	
	//FUNCTION DEFINITIONS
	
	//INCLUDE HEADER FILE
	require_once($path."header.php");
	
	//BEGIN TABLE DEFINITION
	$tableName = "access";
	$primaryKey = "ID";
	$row = new RowManager($tableName, $primaryKey);
	
	$levels[1] = "Developers";
	$levels[2] = "Administrators";
	$levels[3] = "Users";
	
	$row->addField(new Key("ID", "", null, false));
	$row->addField(new Text("pageName", "Page", array("maxlength"=>50), true, true));
	$row->addField(new Select("minLevel", "Minimum Level", $levels, true, true));
	$row->addField(new Text("message", "Access Restricted Message", array("maxlength"=>255), true, false));
	//set a default value for this select block
	$data['minLevel'] = 3;
	//-- end table definition
	
	$form = new Form_Single();
	$form->addRow($row);
	
	$formManager->addForm($form);
	
	//CREATE LIST
	if(empty($_GET["id"]) && $mode != Form::ADD) {
		print $list->generateList($row, "pageName", $QS);
	}
	
	//CREATE FORM
	if(!empty($_GET["id"]) || $mode == Form::ADD) {
?>
The admin page is a special designation that should not be renamed. Changing the access level of admin changes the access level for the entire administrative system.
<br>
<br>
The index page is a special designation that should not be renamed. It is reserved for pages that should always be available to anyone with valid login credentials for the site, 
such as the main index page, which is used for displaying error messages and access restriction messages.
<br>
<?php
		if($mode != Form::ADD) {
			$filter = new SingleFilter($row->getPrimaryKeyField(), $_GET["id"]);
			$data = $form->init(array($filter));
		}
		if(!empty($_POST)) {
			$data = $_POST;
			//PROCESS FORM SUBMISSION
			$formManager->processContent($data, $_FILES);
		}
		
		$formManager->showForm($data, $_FILES);
	}
	
	//INCLUDE FOOTER FILE
	require_once($path."footer.php");
	ob_end_flush();
?>