<?php
	/*
	 *	Copyright 2007 John Oren
	 *	
	 *	Licensed under the Apache License, Version 2.0 (the "License");
	 *	you may not use this file except in compliance with the License.
	 *	You may obtain a copy of the License at
	 *		http://www.apache.org/licenses/LICENSE-2.0
	 *	Unless required by applicable law or agreed to in writing, software
	 *	distributed under the License is distributed on an "AS IS" BASIS,
	 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 *	See the License for the specific language governing permissions and
	 *	limitations under the License.
	 */
	
	
	//DEFINE VARIABLES
	$path = "../../";
	$page = "User";
	$QS = $_SERVER["QUERY_STRING"];
	$mode = $_GET["mode"];
	
	//INCLUDE REQUIRED FILES AND DECLARE GENERAL OBJECTS
	require_once($path."OpenSiteAdmin/scripts/classes/SecurityManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/DatabaseManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/ListManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/FormManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/RowManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/FieldManager.php");
	require_once($path."OpenSiteAdmin/scripts/classes/Filter.php");
	
	$SQL = new DatabaseManager();
	$formManager = new FormManager($SQL, $mode);
	$list = new ListManager($SQL);
	$modeStr= Form::getModeText($mode);
	$securityManager = new SecurityManager($SQL, $page, $modeStr);
	
	//SECURITY CHECKING \ REDIRECT CHECKS
	
	//FUNCTION DEFINITIONS
	
	//INCLUDE HEADER FILE
	require_once($path."header.php");
	
	//BEGIN TABLE DEFINITION
	$tableName = "users";
	$primaryKey = "ID";
	$row = new RowManager($tableName, $primaryKey);
	
	$levels[1] = "Developer";
	$levels[2] = "Administrator";
	$levels[3] = "User";
	if(!empty($_GET["id"]) || $mode == Form::ADD) {
		$levels = array_slice($levels, $_SESSION["permissions"]-1, count($levels), true);
	}
	
	$row->addField(new Key("ID", "", null, false));
	$row->addField(new Text("username", "Username", array("maxlength"=>20), true, true));
	$row->addField(new Password("password", "Password", null, false, true));
	$row->addField(new Select("permissions", "Permissions", $levels, true));
	//set a default value for this select block
	$data['permissions'] = 3;
	$row->addField(new Checkbox("active", "Active", null, true));
	//-- end table definition
	
	$form = new Form_Single();
	$form->addRow($row);
	
	$formManager->addForm($form);
	
	//CREATE LIST
	if(empty($_GET["id"]) && $mode != Form::ADD) {
		//custom page permission checking
		if(($mode == Form::EDIT || $securityManager->isPageVisible("editUser")) || ($mode == Form::DELETE || $securityManager->isPageVisible("deleteUser"))) {
			print $list->generateList($row, "username", $QS);
		} else {
			header("Location:".$path."index.php?text=You do not have sufficient privleges to access this page");
		}
	}
	
	//CREATE FORM
	if(!empty($_GET["id"]) || $mode == Form::ADD) {
?>
<table border="1">
	<tr>
		<td>Can Manage:</td>
		<td>Books</td>
		<td>Categories</td>
		<td>Users</td>
		<td>Access</td>
	</tr>
	<tr>
		<td>Developer</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
	</tr>
	<tr>
		<td>Administrator</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
		<td></td>
	</tr>
	<tr>
		<td>User</td>
		<td>&#10003;</td>
		<td>&#10003;</td>
		<td></td>
		<td></td>
	</tr>
</table>
<br>
Inactive users cannot log in.
<br>
Users can become inactive because of excesive failed login attempts for their username.
<?php
		if($mode != Form::ADD) {
			$filter = new SingleFilter($row->getPrimaryKeyField(), $_GET["id"]);
			$data = $form->init(array($filter));
		}
		if(!empty($_POST)) {
			$data = $_POST;
			//PROCESS FORM SUBMISSION
			$formManager->processContent($data, $_FILES);
		}
		
		//custom permission checking
		if($_SESSION["permissions"] > 2 && $data["username"] != $_SESSION["username"]) {
			die(header("Location:".$path."index.php?text=you do not have permission to edit other users"));
		}
		
		$formManager->showForm($data, $_FILES);
	}
	
	//INCLUDE FOOTER FILE
	require_once($path."footer.php");
	ob_end_flush();
?>